Skip to content

Get a worktree's sync state

GET
/api/orgs/{org}/projects/{project}/sync
curl --request GET \
--url 'https://api.wrktr.com/api/orgs/example/projects/example/sync?branch=example' \
--header 'Authorization: Bearer <token>'

What the daemon last reported for the branch’s worktree: in sync, stopped on a conflict, or failing to sync.

org
required
string
project
required
string
branch
required
string

SyncStatus

Media typeapplication/json
object
branch
required
string
state
required
string
Allowed values: ok conflict error unknown
files
required
Array<string>
detail
required
Any of:
string
reportedAt
required
Any of:
Any of:
number
Example
{
"state": "ok",
"reportedAt": "Infinity"
}

Unauthorized

Media typeapplication/json
object
_tag
required
string
Allowed values: Unauthorized
message
required
string
Example
{
"_tag": "Unauthorized"
}

ProjectNotFound | BranchNotFound

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ProjectNotFound
project
required
string
Example
{
"_tag": "ProjectNotFound"
}